List next-step approvers
Returns the approvers configured in the step that follows the caller’s current approval step. Useful for surfacing who the report will be routed to once the caller approves.
GET
/
me
/
organizations
/
{id}
/
approvals
/
{expenseReportId}
/
approvalchains
/
{approvalChainId}
/
nextstep
/
approvers
List next-step approvers
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 2,
"count": 2
},
"data": [
{
"id": "ff8080818b948960018b948b27930066",
"name": "Anna Andersson (anna.andersson@example.com)"
},
{
"id": "bcffcd18764b414683edf8b490063054",
"name": "Per Stark (per.stark@example.com)"
}
]
}{
"result": "<string>",
"description": "<string>"
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Id of the expense report. UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$The approval chain ID UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Query Parameters
max records to return
Required range:
1 <= x <= 1000the offset to be used in list
Required range:
x >= 0Response
OK
Last modified on August 31, 2026
⌘I
List next-step approvers
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 2,
"count": 2
},
"data": [
{
"id": "ff8080818b948960018b948b27930066",
"name": "Anna Andersson (anna.andersson@example.com)"
},
{
"id": "bcffcd18764b414683edf8b490063054",
"name": "Per Stark (per.stark@example.com)"
}
]
}{
"result": "<string>",
"description": "<string>"
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}
